Subject: [PATCH 3/4] ARM: OMAP2+: Move iommu/iovmm headers to platform_data

From: [email-masked] (Tony Lindgren)
Date: Thu, 18 Oct 2012 13:30:29 -0700

* Tony Lindgren <[email-masked]> [121018 09:27]:
> * Laurent Pinchart <[email-masked]> [121018 06:45]:
> > Hi,
> > 
> > On Monday 15 October 2012 17:36:40 Tony Lindgren wrote:
> > > From: Ido Yariv <[email-masked]>
> > > 
> > > Move iommu/iovmm headers from plat/ to platform_data/ as part of the
> > > single zImage work.
> > 
> > Is that really where those headers belong ? iommu-omap.h contains far more 
> > than platform data, and iovmm-omap.h contains no platform data at all.
> 
> Hmm I though that was already fixed by Ido but looks like there are
> non-platform data things still remaining there.
> 
> Looking at arch/arm/mach-omap2/iommu2.c it seems that it should moved to
> drivers/iommu/omap-iommu2.c and that way most of the header can be local
> in drivers/iommu/omap-iommu.h. I'll do some patches for that and repost.

I ended up solving the iovmm-omap.h issue by adding include/linux/omap-iommu.h
like intel and amd have.

Reposted the series as "[PATCH v3 0/6] omap iommu changes to remove plat includes".

Regards,

Tony